Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000045 [libFirm] x86 ia32 backend major always 2009-05-15 12:57 2011-12-24 03:47
Reporter Matze View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version 1.17.0
Summary 0000045: x87 functions don't use address mode when source program is using mode_E
Description We nearly never use address mode (for loading constants for example) anymore in the x87 backend, because the mode of all the operations is set to mode_E, which is exactly the mode used internally by the CPU.

However we should be able to scale down most constants to mode_D (as they have most probably been mode_D in the source program) and use address mode without loosing precision...
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000133)
Matze (administrator)
2011-11-04 13:52

fixed in 624db839f1e8d86e3a4e25a44077aa4e22c166a9

- Issue History
Date Modified Username Field Change
2009-05-15 12:57 Matze New Issue
2009-05-15 12:58 Matze Status new => acknowledged
2009-05-15 12:58 Matze version 1.16.0 => 1.17.0
2011-11-04 13:52 Matze Note Added: 0000133
2011-11-04 13:52 Matze Assigned To => Matze
2011-11-04 13:52 Matze Status acknowledged => resolved
2011-11-04 13:52 Matze Resolution open => fixed
2011-11-04 13:52 Matze View Status private => public
2011-12-24 03:47 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker